Bug 807494 - LUKS setup inefficiency
LUKS setup inefficiency
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Security_Guide (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Prpič
ecs-bugs
: Documentation
: 834463 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 20:08 EDT by Pádraig Brady
Modified: 2016-01-04 09:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 08:39:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-03-27 20:08:27 EDT
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Security_Guide/sect-Security_Guide-LUKS_Disk_Encryption-Manually_Encrypting_Directories-Step_by_Step_Instructions.html

Step 5

dd if=/dev/urandom ... is used rather than the equivalent shred,
which is much faster, and also gives a progress report.
Also the following note is less than informative,
and is a bit facetious in telling users to leave the command
running overnight!

I've updated step 5 at the fedora wiki as to how I think it should read:
https://fedoraproject.org/wiki/Implementing_LUKS_Disk_Encryption
(I wouldn't include the mention of scrub or wipe from there)

Note I'm quite sure the PRNG within shred is good enough for this operation:
http://burtleburtle.net/bob/rand/isaacafa.html
Comment 3 Martin Prpič 2012-11-12 07:30:36 EST
*** Bug 834463 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.